Package org.apache.tapestry5.corelib.components

# Class BeanEditor

java.lang.Object
org.apache.tapestry5.corelib.components.BeanEditor

@SupportsInformalParameters public class BeanEditor extends Object
A component that generates a user interface for editing the properties of a bean (or POJO, or any object with properties). This is the central component of the `BeanEditForm` component, and it utilizes the `PropertyEditor` component for much of its functionality.

This component places a `BeanEditContext` into the `Environment`.

Component Parameters
Name | Type | Flags | Default | Default Prefix
--- | --- | --- | --- | ---
add | String |  |  | literal
A comma-separated list of property names to be added to the org.apache.tapestry5.beanmodel.BeanModel (only used when a default model is created automatically).
exclude | String |  |  | literal
A comma-separated list of property names to be removed from the org.apache.tapestry5.beanmodel.BeanModel (only used when a default model is created automatically). The names are case-insensitive.
include | String |  |  | literal
A comma-separated list of property names to be retained from the org.apache.tapestry5.beanmodel.BeanModel (only used when a default model is created automatically). Only these properties will be retained, and the properties will also be reordered. The names are case-insensitive.
model | org.apache.tapestry5.beanmodel.BeanModel |  |  | prop
The model that identifies the parameters to be edited, their order, and every other aspect. If not specified, a default bean model will be created from the type of the object bound to the object parameter. The add, include, exclude and reorder parameters are only applied to a default model, not an explicitly provided one.
object | Object |  |  | prop
The object to be edited by the BeanEditor. This will be read when the component renders and updated when the form for the component is submitted. Typically, the container will listen for a "prepare" event, in order to ensure that a non-null value is ready to be read or updated.
overrides | org.apache.tapestry5.PropertyOverrides | Not Null | this | prop
Where to search for local overrides of property editing blocks as block parameters. Further, the container of the overrides is used as the source for overridden validation messages. This is normally the BeanEditor component itself, but when the component is used within a BeanEditForm, it will be the BeanEditForm's resources that will be searched.
reorder | String |  |  | literal
A comma-separated list of property names indicating the order in which the properties should be presented. The names are case insensitive. Any properties not indicated in the list will be appended to the end of the display orde. Only used when a default model is created automatically.

See the BeanEditForm documentation for examples of how to use and customize this component. A further example is available in the documentation for the FormFragment component.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BeanEditor.Prepare`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanEditor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getObject()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanEditor

    public BeanEditor()

- ## Method Details

  - ### getObject

    public Object getObject()